package com.yidianling.im.session.extension;

import com.alibaba.fastjson.JSONObject;

/**
 * 接诊通知 消息bean
 */
public class CustomAttachmentInquiryReceive extends CustomAttachment {
    private static final String KEY_FROM_ORDERID = "inquiryOrderId";
    private static final String KEY_FROM_MAINSUIT = "mainSuit";
    private static final String KEY_FROM_NAME = "name";
    private static final String KEY_FROM_GENDERNAME = "genderName";
    private static final String KEY_FROM_AGE = "age";

    private String from_orderid = "";
    private String from_mainSuit = "";
    private String from_name = "";
    private String from_genderName = "";
    private String from_age = "";

    public CustomAttachmentInquiryReceive() {
        super(CustomAttachmentType.TYPE_INQUIRY_RECEIVE);
    }

    @Override
    protected void parseData(JSONObject data) {
        from_orderid = data.getString(KEY_FROM_ORDERID);
        from_mainSuit = data.getString(KEY_FROM_MAINSUIT);
        from_name = data.getString(KEY_FROM_NAME);
        from_genderName = data.getString(KEY_FROM_GENDERNAME);
        from_age = data.getString(KEY_FROM_AGE);
    }

    @Override
    protected JSONObject packData() {
        JSONObject data = new JSONObject();
        data.put(KEY_FROM_ORDERID, from_orderid);
        data.put(KEY_FROM_MAINSUIT, from_mainSuit);
        data.put(KEY_FROM_NAME, from_name);
        data.put(KEY_FROM_GENDERNAME, from_genderName);
        data.put(KEY_FROM_AGE, from_age);
        return data;
    }

    public String getKeyFromOrderid() {
        return from_orderid;
    }

    public String getKeyFromMainsuit() {
        return from_mainSuit;
    }

    public String getKeyFromName() {
        return from_name;
    }

    public String getFrom_genderName() {
        return from_genderName;
    }

    public String getKeyFromAge() {
        return from_age;
    }
}
